Bug 63729 - TypeError: cannot marshal <type 'None'> objects
TypeError: cannot marshal <type 'None'> objects
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-17 19:28 EDT by tony cook
Modified: 2015-01-07 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-24 17:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tony cook 2002-04-17 19:28:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
Update Agent 2.7.2 - crashes during - "Updating package profile..."

Version-Release number of selected component (if applicable): 2.7.2


How reproducible:
Always

Steps to Reproduce:
1.up2date <cr>
2.
3.
	

Actual Results:  Python error - TypeError: cannot marshal

Additional info:

[root@Athol tony]# up2date -p
Updating package profile...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 996, in ?
    main()
  File "/usr/sbin/up2date", line 238, in main
    up2date.updatePackageProfile()
  File "/usr/share/rhn/up2date_client/up2date.py", line 1047, in
updatePackageProfile
    getInstalledPackageList())
  File "/usr/share/rhn/up2date_client/up2date.py", line 287, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 689, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 731, in __request
    request = dumps(params, methodname)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 505, in dumps
    data = m.dumps(params)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in dumps
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 275, in __dump
    raise TypeError, "cannot marshal %s objects" % type(value)
TypeError: cannot marshal <type 'None'> objects
Comment 1 Adrian Likins 2002-04-24 17:58:02 EDT
I belive any bugs related to this should be fixed with an
update to the latest up2date.

up2date up2date

to upgrade

Note You need to log in before you can comment on or make changes to this bug.